QGIS Application - Bug report #10344
Select from open layers on Processing
2014-05-25 07:49 AM - Pedro Venancio

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master Regression?: No
Operating System: Linux Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 18765
Description

Hi,

Using the option "Select from open layers" in the second parameter of any tool in Batch Processing, gives this error, with QGIS master
(2.3.0+git20140524+d1da612) and Processing 2.2.0-2:

An error has occured while executing Python code:

Traceback (most recent call last):
File "/home/pedro/.qgis2/python/plugins/processing/gui/BatchinputSelectionPanel.py", line 93, in showLayerSelectionDialog
self.text.setText(layers[selected[0]])
TypeError: QLineEdit.setText(QString): argument 1 has unexpected type 'QgsVectorLayer'

Python version:

2.7.6 (default, Mar 22 2014, 23:03:14)

[GCC 4.8.2]

QGIS version:

2.3.0-Master Master, exported
This does not happens with QGIS 2.2 and Processing 2.2.0-2. Tested on Linux.
To replicate:
1. Search for "Clip" in Processing Toolbox;

2. Execute as batch process;
3. On "Clip layer" -> [...] -> Select from open layers and select one layer from TOC.

History

#1 - 2014-05-25 08:05 AM - Pedro Venancio

This is related to #10277.

| already have the commit 9733ae8 applied

if len(selected) == 1:

self.text.setText(layers[selected[0]].name())
else:
but | get this error.

#2 - 2014-05-26 03:52 AM - Giovanni Manghi

- Status changed from Open to Feedback

Hi Pedro,

I'm on Ubuntu 12.04 and qgis master (clean install) from nightly build repo and cannot confirm this issue.

#3 - 2014-05-26 04:24 AM - Pedro Venancio

Hi Giovanni,

This is happening to me with QGIS master on Ubuntu 14.04.

On the machine with Ubuntu 12.04, I'm using QGIS 2.2, and the problem does not happen.

#4 - 2014-05-26 07:50 AM - Giovanni Manghi

Pedro Venancio wrote:

Hi Giovanni,

This is happening to me with QGIS master on Ubuntu 14.04.

On the machine with Ubuntu 12.04, I'm using QGIS 2.2, and the problem does not happen.

Ola Pedro,

| just installed qgis master (nightly repo) on a brand new 14.04 virtual machine and cannot replicate the issue.

#5 - 2014-05-27 12:23 PM - Pedro Venancio
- Status changed from Feedback to Closed

Ola Giovanni,

Sorry, | checked the correction of the commit in the Core Processing folder, instead of Processing folder in .qgis2.

So, commit 9733ae8 solves the problem!

Thanks and sorry for the noise!

#6 - 2015-06-07 04:31 AM - Giovanni Manghi
- Category changed from 94 to Processing/Core
